=== debian/changelog ===
xxhash (0.8.2-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:23:58 +0200

xxhash (0.8.2-2) unstable; urgency=medium

  * d/patches: fix libxxhash.pc.in. (Closes: #1051776). Thanks to
    Michael R. Crusoe <crusoe@debian.org> for the patch.

 -- Josue Ortega <josue@debian.org>  Tue, 12 Sep 2023 18:16:00 +0530

xxhash (0.8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Josue Ortega ]
  * New upstream release (0.8.2):
    + Refresh debian/patches.
  * debian/copyright:
    + Fix GPL-2+ version. Thanks to Bastian Germann
      <bage@debian.org>. (Closes: #1012005).
    + Update copyright years.
  * debian/watch: Update watch file. Thanks to
    Patrice Duroux <patrice.duroux@gmail.com> for the patch.
    Closes: #1050859.
  * debian/rules: Add hardening flags.
  * Bump Standards-Version to 4.6.2. No changes required.

 -- Josue Ortega <josue@debian.org>  Sun, 10 Sep 2023 15:19:16 +0530
