=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 amd64))
	export DISPATCH=1
endif

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) install
	dh_install

# not to be run, removes compiled files
override_dh_auto_test:

# do not check for uninstalled man pages
override_dh_missing:
