=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xxhash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josue Ortega <josue@debian.org>
+Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://cyan4973.github.io/xxHash
 Vcs-Browser: https://salsa.debian.org/debian/xxhash
 Vcs-Git: https://salsa.debian.org/debian/xxhash.git -b master
