=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/architecture.mk
 
 ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 amd64))
-	export DISPATCH=1
+	export LIBXXH_DISPATCH=1
 endif
 
 %:
