=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/xxhash-$1$2/ \
  https://github.com/Cyan4973/xxHash/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
